logo NexAPI
← 返回 API 列表

API 详情

蓝奏云直链解析

蓝奏云分享页解析为直链 / 文件夹列表。

ANY API-KEY 分类:工具 限流 60 / 分钟

用量与额度

免费:日 100 / 月 3,000

超额 3 积分 / 次 当前积分 --

登录后可查看当前账号的用量与剩余额度。

免费额度用尽后才会扣除;未设置单价(0)则超额直接拒绝。

完整请求 URL

可直接在浏览器、终端或调试工具中调用

https://api.avrinbai.cn/api/tools/lanzouyun-resolve

接口说明

蓝奏云直链解析

解析蓝奏云分享链接,返回直链与文件信息;支持文件夹列表、type=xml / type=down(302 跳转)。

请求

GET /api/tools/lanzouyun-resolve?url=分享链接
POST 等同一路径(网关登记为 ANY,支持 GET / POST / HEAD / OPTIONS)

参数

参数 必填 说明
url 完整分享 URL 或路径
pw 提取码
type 空为 JSON;xmldown 时 302 到直链
page 文件夹分页,>1 时有效

响应

与上游一致:codemsgdata(含 urlnamesize 等)。

在线调试

通过本站代发请求。GET 时会把 JSON 中的键值作为 Query,非 GET 时作为 JSON Body.

选择已创建的 API Key 需要先登录。 去登录

示例代码

提示:把 YOUR_API_KEY 替换为真实 API Key。

// ANY https://api.avrinbai.cn/api/tools/lanzouyun-resolve
const payload = {
    "url": "https:\/\/www.lanzoui.com\/xxxx"
};

const url = 'https://api.avrinbai.cn/api/tools/lanzouyun-resolve';

const headers = {
  "Accept": "application/json",
  "Content-Type": "application/json",
  "X-API-Key": "YOUR_API_KEY",
};

const res = await fetch(url, {
  method: "ANY",
  headers,
  body: JSON.stringify(payload),
});

// 兼容返回 JSON / 纯文本 / 二进制
const contentType = res.headers.get("content-type") || "";
if (contentType.includes("application/json")) {
  console.log(await res.json());
} else {
  console.log(await res.text());
}
// ANY https://api.avrinbai.cn/api/tools/lanzouyun-resolve
import axios from "axios";

const payload = {
    "url": "https:\/\/www.lanzoui.com\/xxxx"
};

const headers = {
  "Accept": "application/json",
  "X-API-Key": "YOUR_API_KEY",
};

const url = "https://api.avrinbai.cn/api/tools/lanzouyun-resolve";

const res = await axios.request({
  url,
  method: "ANY",
  headers,
  data: payload,
  // responseType: "arraybuffer", // 若接口返回图片/音视频,可按需开启
});

console.log(res.status, res.data);
# ANY https://api.avrinbai.cn/api/tools/lanzouyun-resolve
import requests

payload = {
    "url": "https:\/\/www.lanzoui.com\/xxxx"
}

headers = {
    "Accept": "application/json",
}
headers["X-API-Key"] = "YOUR_API_KEY"

res = requests.request(
    "ANY",
    "https://api.avrinbai.cn/api/tools/lanzouyun-resolve",
    headers=headers,
    json=payload,
    timeout=25,
)

print(res.status_code)
print(res.text)
// ANY https://api.avrinbai.cn/api/tools/lanzouyun-resolve
package main

import (
    "bytes"
    "encoding/json"
    "fmt"
    "io"
    "net/http"
    "net/url"
)

func main() {
    payload := map[string]any{
    "url": "https:\/\/www.lanzoui.com\/xxxx"
}

    targetURL := "https://api.avrinbai.cn/api/tools/lanzouyun-resolve"

    b, _ := json.Marshal(payload)
	body := bytes.NewReader(b)

    req, _ := http.NewRequest("ANY", targetURL, body)
    req.Header.Set("Accept", "application/json")
    req.Header.Set("Content-Type", "application/json")
    req.Header.Set("X-API-Key", "YOUR_API_KEY")

    client := &http.Client{}
    res, err := client.Do(req)
    if err != nil {
        panic(err)
    }
    defer res.Body.Close()

    raw, _ := io.ReadAll(res.Body)
    fmt.Println(res.StatusCode)
    fmt.Println(string(raw))
}
// ANY https://api.avrinbai.cn/api/tools/lanzouyun-resolve
package main

import (
    "bytes"
    "encoding/json"
    "fmt"
    "io"
    "net/http"
    "net/url"
)

func main() {
    payload := map[string]any{
    "url": "https:\/\/www.lanzoui.com\/xxxx"
}

    targetURL := "https://api.avrinbai.cn/api/tools/lanzouyun-resolve"

    b, _ := json.Marshal(payload)
	body := bytes.NewReader(b)

    req, _ := http.NewRequest("ANY", targetURL, body)
    req.Header.Set("Accept", "application/json")
    req.Header.Set("Content-Type", "application/json")
    req.Header.Set("X-API-Key", "YOUR_API_KEY")

    client := &http.Client{}
    res, err := client.Do(req)
    if err != nil {
        panic(err)
    }
    defer res.Body.Close()

    raw, _ := io.ReadAll(res.Body)
    fmt.Println(res.StatusCode)
    fmt.Println(string(raw))
}
// ANY https://api.avrinbai.cn/api/tools/lanzouyun-resolve
import okhttp3.*;

public class Demo {
  public static void main(String[] args) throws Exception {
    OkHttpClient client = new OkHttpClient();
    String payloadJson = {"url":"https:\/\/www.lanzoui.com\/xxxx"};

    String url = "https://api.avrinbai.cn/api/tools/lanzouyun-resolve";
    RequestBody body = RequestBody.create(payloadJson, MediaType.parse("application/json"));

    Request request = new Request.Builder()
        .url(url)
        .method("ANY", body)
        .addHeader("Accept", "application/json")
        .addHeader("Content-Type", "application/json")
        .addHeader("X-API-Key", "YOUR_API_KEY")
        .build();

    try (Response response = client.newCall(request).execute()) {
      System.out.println(response.code());
      System.out.println(response.body() != null ? response.body().string() : "");
    }
  }
}
// ANY https://api.avrinbai.cn/api/tools/lanzouyun-resolve
import okhttp3.*;

public class Demo {
  public static void main(String[] args) throws Exception {
    OkHttpClient client = new OkHttpClient();
    String payloadJson = {"url":"https:\/\/www.lanzoui.com\/xxxx"};

    String url = "https://api.avrinbai.cn/api/tools/lanzouyun-resolve";
    RequestBody body = RequestBody.create(payloadJson, MediaType.parse("application/json"));

    Request request = new Request.Builder()
        .url(url)
        .method("ANY", body)
        .addHeader("Accept", "application/json")
        .addHeader("Content-Type", "application/json")
        .addHeader("X-API-Key", "YOUR_API_KEY")
        .build();

    try (Response response = client.newCall(request).execute()) {
      System.out.println(response.code());
      System.out.println(response.body() != null ? response.body().string() : "");
    }
  }
}
// ANY https://api.avrinbai.cn/api/tools/lanzouyun-resolve
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;

class Program
{
    static async Task Main()
    {
        var payloadJson = {"url":"https:\/\/www.lanzoui.com\/xxxx"};

        using var client = new HttpClient();
        var url = "https://api.avrinbai.cn/api/tools/lanzouyun-resolve";
        using var request = new HttpRequestMessage(new HttpMethod("ANY"), url);
        request.Headers.Add("Accept", "application/json");
        request.Headers.Add("X-API-Key", "YOUR_API_KEY");
        request.Content = new StringContent(payloadJson, Encoding.UTF8, "application/json");

        using var response = await client.SendAsync(request);
        var body = await response.Content.ReadAsStringAsync();
        Console.WriteLine((int)response.StatusCode);
        Console.WriteLine(body);
    }
}
// ANY https://api.avrinbai.cn/api/tools/lanzouyun-resolve
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;

class Program
{
    static async Task Main()
    {
        var payloadJson = {"url":"https:\/\/www.lanzoui.com\/xxxx"};

        using var client = new HttpClient();
        var url = "https://api.avrinbai.cn/api/tools/lanzouyun-resolve";
        using var request = new HttpRequestMessage(new HttpMethod("ANY"), url);
        request.Headers.Add("Accept", "application/json");
        request.Headers.Add("X-API-Key", "YOUR_API_KEY");
        request.Content = new StringContent(payloadJson, Encoding.UTF8, "application/json");

        using var response = await client.SendAsync(request);
        var body = await response.Content.ReadAsStringAsync();
        Console.WriteLine((int)response.StatusCode);
        Console.WriteLine(body);
    }
}
<?php
// ANY https://api.avrinbai.cn/api/tools/lanzouyun-resolve

$payload = json_decode('{\"url\":\"https:\\/\\/www.lanzoui.com\\/xxxx\"}', true) ?: [];

$apiKey = 'YOUR_API_KEY';

$ch = curl_init();

if (in_array('ANY', ['GET', 'HEAD'], true)) {
    $url = 'https://api.avrinbai.cn/api/tools/lanzouyun-resolve' . (count($payload) ? ('?' . http_build_query($payload)) : '');
} else {
    $url = 'https://api.avrinbai.cn/api/tools/lanzouyun-resolve';
}

curl_setopt_array($ch, [
    CURLOPT_URL => $url,
    CURLOPT_CUSTOMREQUEST => 'ANY',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HEADER => true,
    CURLOPT_TIMEOUT => 25,
]);

$headers = [
    'Accept: application/json',
];
$headers[] = 'X-API-Key: ' . $apiKey;

if (! in_array('ANY', ['GET', 'HEAD'], true)) {
    $body = json_encode($payload, JSON_UNESCAPED_UNICODE);
    $headers[] = 'Content-Type: application/json';
    curl_setopt($ch, CURLOPT_POSTFIELDS, $body);
}

curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);

$raw = curl_exec($ch);
if ($raw === false) {
    throw new RuntimeException('cURL error: ' . curl_error($ch));
}

$status = curl_getinfo($ch, CURLINFO_HTTP_CODE);
$headerSize = curl_getinfo($ch, CURLINFO_HEADER_SIZE);

$rawHeaders = substr($raw, 0, $headerSize);
$rawBody = substr($raw, $headerSize);

curl_close($ch);

echo "HTTP {$status}\n";
echo $rawHeaders . "\n";
echo $rawBody;
curl -sS -X ANY \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
    "https://api.avrinbai.cn/api/tools/lanzouyun-resolve" \
  -d '{"url":"https:\/\/www.lanzoui.com\/xxxx"}'